Subject: Re: bug#31169: 26.1; Emacs 26.1 RC1 (gtk) display issues over SSH/X11 with xming/vcxsrv

From: charlie hemlock <[email-masked]>
Date: Wed, 18 Apr 2018 21:18:15 -0400

> This looks similar to Bug#25474, does adding

    (modify-frame-parameters nil '((inhibit-double-buffering . t)))

> to your init.el as suggested there help?

> https://debbugs.gnu.org/cgi/bugreport.cgi?bug=25474
<https://debbugs.gnu.org/cgi/bugreport.cgi?bug=25474>

I quickly tested this in tumbleweed, leap 42.3, and centos 7 and appears to
help :)
Wow, Thanks!

I don't get the emacs logo - just plain text welcome, but at least I can
see minibuffer and type.

*However*, in Centos7 (with vcxsrv), the file menus don't appear OK when
clicked as previously reported (see gtk errors in previous posts)
A different issue?

Thanks!

On Wed, Apr 18, 2018 at 8:42 PM, Noam Postavsky <[email-masked]> wrote:

> charlie hemlock <[email-masked]> writes:
>
> > 1. Build emacs 26 RC1 with --with-x-toolkit=gtk3
> >      a. confirm builds and runs ok when run local
> > 2. Login to windows box, launch ssh -X putty session to linux host with
> > emacs 26 installed.  (windows xserver: vcxsrv or xming)
> > 3. emacs -Q
> > 4. Emacs does not display correctly. Missing minibuffer, & can't type in
> buffer.  Compare to attached screenshot.
> >
> > I can compile Emacs 26.1 RC1 ok, and use it locally on the host fine.
> >
> > However, when attempting to ssh -X to host via PuTTY 0.70 and launch
> > the Emacs gui (emacs -Q), emacs is not displaying correctly. Using
> > Windows xserver program VcXsrv (1.19.6.3).
> >
> > See attached screenshot - no default welcome screen, and missing
> minibuffer too.
>
> This looks similar to Bug#25474, does adding
>
>     (modify-frame-parameters nil '((inhibit-double-buffering . t)))
>
> to your init.el as suggested there help?
>
> https://debbugs.gnu.org/cgi/bugreport.cgi?bug=25474
>